### Interface

# Goa Chat

#### Description [src]

    interface Goa.Chat : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Chat.

#### Prerequisite

In order to implement Chat, your type must inherit from`GObject`.

#### Implementations

- GoaChatProxy
- GoaChatSkeleton

#### Functions

###### goa_chat_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Chat D-Bus interface.

###### goa_chat_override_properties

Overrides all `GObject` properties in the `GoaChat` interface for a concrete class. The properties are overridden in the order they are defined.

#### Interface structure

    struct GoaChatIface {
      GTypeInterface parent_iface;

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Chat.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.